Bug 846665 - virDomainReset not implemented with VBox
virDomainReset not implemented with VBox
Status: CLOSED DEFERRED
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 07:45 EDT by cohoe
Modified: 2016-04-26 13:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 18:36:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cohoe 2012-08-08 07:45:27 EDT
Description of problem:
Attempting to "reset" (virDomainReset) a VM on a VirtualBox host returns: "error: this function is not supported by the connection driver: virDomainReset"

Version-Release number of selected component (if applicable):
Compiled against library: libvir 0.9.10
Using library: libvir 0.9.10
Using API: VBOX 0.9.10
Running hypervisor: VBOX 4.1.18

How reproducible:
Always

Steps to Reproduce:
1. Connect to VBox host with virsh (vbox:///session)
2. Issue reset command 'reset vbox-test01'
  
Actual results:
error: Failed to reset domain Test01
error: this function is not supported by the connection driver: virDomainReset

Expected results:
Domain Test01 reset

Additional info:
virDomainReboot works, however the same command on the ESX driver errors if VMware Tools is not installed within the guest. This bug is similar to 846406 (ESX rather than VBox).
Comment 1 cohoe 2012-08-09 09:07:46 EDT
This also affects library/API 0.9.13
Comment 2 Dave Allan 2012-08-09 10:03:28 EDT
As with the matching ESX BZ, I think your best bet for getting this functionality is to submit patches upstream.
Comment 3 Cole Robinson 2016-03-23 18:36:03 EDT
Agreed with dave, tracking this in bugzilla isn't going to generate any results. There's many unimplemented APIs across the drivers. Closing as DEFERRED; someone just needs to provide a patch

Note You need to log in before you can comment on or make changes to this bug.